Skip to main content
GET
/
roles
List roles
curl --request GET \
  --url https://{tenantDomain}/my-org/v1/roles \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenantDomain}/my-org/v1/roles"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenantDomain}/my-org/v1/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "roles": [
    {
      "id": "rol_BKI0BKI0BKI0BKI0",
      "name": "Admin",
      "description": "Administrator role with full access"
    },
    {
      "id": "rol_BKI0BKI0BKI0BKI1",
      "name": "User",
      "description": "Standard user role with limited access"
    }
  ],
  "next": "abc123"
}
{
"type": "https://auth0.com/api-errors#A0E-400-0003",
"status": 400,
"title": "Validation Error",
"validation_errors": [
{
"detail": "is required",
"field": "data/property_name",
"pointer": "/property_name",
"source": "params"
}
]
}
{
"type": "https://auth0.com/api-errors#A0E-401-0002",
"status": 401,
"title": "Missing Token",
"detail": "No auth token provided."
}
{
"type": "https://auth0.com/api-errors#A0E-403-0002",
"status": 403,
"title": "Insufficient Scope",
"detail": "The auth token lacks the required scope: Check the API documentation for the required scopes for this endpoint."
}
{
"type": "https://auth0.com/api-errors#A0E-429-0003",
"status": 429,
"title": "Endpoint Rate Limit Exceeded",
"detail": "The endpoint request limit has been exceeded."
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

from
string

An optional cursor from which to start the selection (exclusive).

Required string length: 1 - 1000
take
integer
default:50

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
name
string

An optional filter on the name (case-insensitive).

Required string length: 1 - 300

Response

Retrieve roles for the organization.

roles
object[]
required
next
string

Pagination cursor for the next page of results